Arch EntferneForm

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch RemoveShape and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский

Arch RemoveShape.svg Arch FormEntfernen

Menüeintrag
Architektur → Dienstprogramme → Entferne Form
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Arch NetzAufteilen, Arch NetzZuForm


Beschreibung

Dieses Werkzeug versucht, beim entfernen der inneren kubische Form eines Arch Wall.svg Arch Wand oder Arch Structure.svg Arch Struktur, und einstellen seiner Eigenschaften, es vollständig parametrisch zu machen. Dieses Werkzeug funktioniert nur, wenn die zugrunde liegende Form kubisch ist (genau 6 Flächen, alle Ecken haben nur rechte Winkel).

Anwendung

  1. Wähle eine Arch Wall.svg Wand oder ein Arch Structure.svgArch Struktur
  2. Drücke die Arch RemoveShape.svg Schaltfläche oder verwende ArchDientsprogrammeArch RemoveShape.svg Entferne Form aus dem Hauptmenü.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Dieses Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

removeShape(objs, mark=True)
  • Nimmt eine Liste von Arch Objekten (objs) gebaut auf einem quaderförmigen Formteil und entfernt die inneren Formen, wobei Lnge, Breite und Höhe als Eigenschaften des Arch-Objekts beibehalten werden.
  • Falls mark den Wert True hat, werden Objekte rot markiert, wenn sie von dieser Funktion nicht bearbeitet werden können.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()